Subject: Re: To whom is ICANN answerable?

From: "J. Noel Chiappa" <[email-masked]>
Date: Thu, 8 Feb 2001 16:30:58 -0500

>> Critics of ICANN will likely request that the committee make ICANN
    >> reopen the selection process. ... Other critics include the ACLU and
    >> many of the unsuccessful TLD applicants, several of which might take
    >> ICANN to court.

With any luck, ICANN will be replaced with something that the current
critics find even more upsetting.

    > The controversy ought to be expected, as there would be no need for
    > ICANN if there were no difficult decisions to be made, asserts
    > Jonathan Zittrain, the co-director of the Berkman Center for Internet
    > & Society at Harvard University.

Well, I'm glad to see there's at least one grown-up involved.

	Noel